# This file describes the network interfaces available on your system
# and how to activate them. For more information, see interfaces(5).

source /etc/network/interfaces.d/*.intf

# The loopback network interface
auto lo
iface lo inet loopback
    # The primary network interface
    address {{ devices[inventory_hostname].loopback }}/32

# The primary network interface
auto eth0
iface eth0 inet dhcp
    vrf mgmt

auto swp1
iface swp1
    bridge-access {{ devices[inventory_hostname].vlan }}

auto swp51
iface swp51

auto bridge
iface bridge
    bridge-ports swp1
    bridge-vids {{ devices[inventory_hostname].vlan }}
    bridge-vlan-aware yes

auto mgmt
iface mgmt
    address 127.0.0.1/8
    address ::1/128
    vrf-table auto

auto vlan{{ devices[inventory_hostname].vlan }}
iface vlan{{ devices[inventory_hostname].vlan }}
    address {{ devices[inventory_hostname].svi }}
    vlan-id {{ devices[inventory_hostname].vlan }}
    vlan-raw-device bridge
